/* fahr.c  17-Dec-88  A.J.Travis */

/*
 * print Fahrenheit-Celsius table
 * ------------------------------
 * Adapted from the tutorial example in Kernighan and Ritchie
 * to show how fixed-point arithmetic can be used in Small-C.
 */

#include <stdio.h>

#define SCALE 10			/* fixed-point scale */

int main()
{
	int lower, upper, step;
	int fahr, celsius;
	int integer, fraction;

	lower = 0;	/* lower limit of temperature table */
	upper = 300;	/* upper limit */
	step = 20;	/* step size */

	fahr = lower;
	while (fahr <= upper) {
		celsius = (SCALE * 5 * (fahr - 32)) / 9;
		integer = celsius / SCALE;
		if ((fraction = celsius % SCALE) < 0)
			fraction = -fraction;
		printf("%4d %4d.%1d\n", fahr, integer, fraction);
		fahr = fahr + step;
	}
	exit(0);
}
